package com.yanzhu.jh.work.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;
import java.util.Map;

/**
 * 文件传达对象 base_file
 *
 * @author JIangYuQi
 * @date 2023-08-06
 */
public class WorkFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 文件归属 */
    @Excel(name = "文件归属")
    private String fileBelong;

    /** 文件类型 */
    @Excel(name = "文件类型")
    private String fileType;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String fileName;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String filePath;

    /** 文件md5 */
    @Excel(name = "文件md5")
    private String fileMd5;

    /** 文件大小 */
    @Excel(name = "文件大小")
    private String fileSize;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    /** 下载次数 */
    @Excel(name = "下载次数")
    private Long downloadNum;

    /** 阅读次数 */
    @Excel(name = "阅读次数")
    private Long readNum;

    //文件列表
    private List<Map<String,Object>> fileList;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFileBelong(String fileBelong)
    {
        this.fileBelong = fileBelong;
    }

    public String getFileBelong()
    {
        return fileBelong;
    }
    public void setFileType(String fileType)
    {
        this.fileType = fileType;
    }

    public String getFileType()
    {
        return fileType;
    }
    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }

    public String getFileName()
    {
        return fileName;
    }
    public void setFilePath(String filePath)
    {
        this.filePath = filePath;
    }

    public String getFilePath()
    {
        return filePath;
    }
    public void setFileMd5(String fileMd5)
    {
        this.fileMd5 = fileMd5;
    }

    public String getFileMd5()
    {
        return fileMd5;
    }
    public void setFileSize(String fileSize)
    {
        this.fileSize = fileSize;
    }

    public String getFileSize()
    {
        return fileSize;
    }
    public void setIsDel(String isDel)
    {
        this.isDel = isDel;
    }

    public String getIsDel()
    {
        return isDel;
    }
    public void setDownloadNum(Long downloadNum)
    {
        this.downloadNum = downloadNum;
    }

    public Long getDownloadNum()
    {
        return downloadNum;
    }
    public void setReadNum(Long readNum)
    {
        this.readNum = readNum;
    }

    public Long getReadNum()
    {
        return readNum;
    }

    public List<Map<String, Object>> getFileList() {
        return fileList;
    }

    public void setFileList(List<Map<String, Object>> fileList) {
        this.fileList = fileList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fileBelong", getFileBelong())
                .append("fileType", getFileType())
                .append("fileName", getFileName())
                .append("filePath", getFilePath())
                .append("fileMd5", getFileMd5())
                .append("fileSize", getFileSize())
                .append("isDel", getIsDel())
                .append("downloadNum", getDownloadNum())
                .append("readNum", getReadNum())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
